Create contact
curl --request POST \
--url https://www.atom.com/api/registrar/v1/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"phone": "<string>",
"city": "<string>",
"zip": "<string>",
"country": "US",
"name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"address": "<unknown>",
"address_1": "<string>",
"address_2": "<string>",
"state": "<string>",
"fax": "<string>",
"organization": "<string>",
"label": "<string>",
"disclosed_fields": [
"<string>"
]
}
'import requests
url = "https://www.atom.com/api/registrar/v1/contacts"
payload = {
"email": "jsmith@example.com",
"phone": "<string>",
"city": "<string>",
"zip": "<string>",
"country": "US",
"name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"address": "<unknown>",
"address_1": "<string>",
"address_2": "<string>",
"state": "<string>",
"fax": "<string>",
"organization": "<string>",
"label": "<string>",
"disclosed_fields": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
phone: '<string>',
city: '<string>',
zip: '<string>',
country: 'US',
name: '<string>',
first_name: '<string>',
last_name: '<string>',
address: '<unknown>',
address_1: '<string>',
address_2: '<string>',
state: '<string>',
fax: '<string>',
organization: '<string>',
label: '<string>',
disclosed_fields: ['<string>']
})
};
fetch('https://www.atom.com/api/registrar/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.atom.com/api/registrar/v1/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'jsmith@example.com',
'phone' => '<string>',
'city' => '<string>',
'zip' => '<string>',
'country' => 'US',
'name' => '<string>',
'first_name' => '<string>',
'last_name' => '<string>',
'address' => '<unknown>',
'address_1' => '<string>',
'address_2' => '<string>',
'state' => '<string>',
'fax' => '<string>',
'organization' => '<string>',
'label' => '<string>',
'disclosed_fields' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.atom.com/api/registrar/v1/contacts"
payload := strings.NewReader("{\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"city\": \"<string>\",\n \"zip\": \"<string>\",\n \"country\": \"US\",\n \"name\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"address\": \"<unknown>\",\n \"address_1\": \"<string>\",\n \"address_2\": \"<string>\",\n \"state\": \"<string>\",\n \"fax\": \"<string>\",\n \"organization\": \"<string>\",\n \"label\": \"<string>\",\n \"disclosed_fields\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.atom.com/api/registrar/v1/contacts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"city\": \"<string>\",\n \"zip\": \"<string>\",\n \"country\": \"US\",\n \"name\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"address\": \"<unknown>\",\n \"address_1\": \"<string>\",\n \"address_2\": \"<string>\",\n \"state\": \"<string>\",\n \"fax\": \"<string>\",\n \"organization\": \"<string>\",\n \"label\": \"<string>\",\n \"disclosed_fields\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.atom.com/api/registrar/v1/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"city\": \"<string>\",\n \"zip\": \"<string>\",\n \"country\": \"US\",\n \"name\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"address\": \"<unknown>\",\n \"address_1\": \"<string>\",\n \"address_2\": \"<string>\",\n \"state\": \"<string>\",\n \"fax\": \"<string>\",\n \"organization\": \"<string>\",\n \"label\": \"<string>\",\n \"disclosed_fields\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}Contacts
Create a contact
Create a new contact handle. The returned data.handle is what you pass as registrant/admin/billing/tech on register, transfer, or PUT /domains//contacts.
POST
/
registrar
/
v1
/
contacts
Create contact
curl --request POST \
--url https://www.atom.com/api/registrar/v1/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"phone": "<string>",
"city": "<string>",
"zip": "<string>",
"country": "US",
"name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"address": "<unknown>",
"address_1": "<string>",
"address_2": "<string>",
"state": "<string>",
"fax": "<string>",
"organization": "<string>",
"label": "<string>",
"disclosed_fields": [
"<string>"
]
}
'import requests
url = "https://www.atom.com/api/registrar/v1/contacts"
payload = {
"email": "jsmith@example.com",
"phone": "<string>",
"city": "<string>",
"zip": "<string>",
"country": "US",
"name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"address": "<unknown>",
"address_1": "<string>",
"address_2": "<string>",
"state": "<string>",
"fax": "<string>",
"organization": "<string>",
"label": "<string>",
"disclosed_fields": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
phone: '<string>',
city: '<string>',
zip: '<string>',
country: 'US',
name: '<string>',
first_name: '<string>',
last_name: '<string>',
address: '<unknown>',
address_1: '<string>',
address_2: '<string>',
state: '<string>',
fax: '<string>',
organization: '<string>',
label: '<string>',
disclosed_fields: ['<string>']
})
};
fetch('https://www.atom.com/api/registrar/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.atom.com/api/registrar/v1/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'jsmith@example.com',
'phone' => '<string>',
'city' => '<string>',
'zip' => '<string>',
'country' => 'US',
'name' => '<string>',
'first_name' => '<string>',
'last_name' => '<string>',
'address' => '<unknown>',
'address_1' => '<string>',
'address_2' => '<string>',
'state' => '<string>',
'fax' => '<string>',
'organization' => '<string>',
'label' => '<string>',
'disclosed_fields' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.atom.com/api/registrar/v1/contacts"
payload := strings.NewReader("{\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"city\": \"<string>\",\n \"zip\": \"<string>\",\n \"country\": \"US\",\n \"name\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"address\": \"<unknown>\",\n \"address_1\": \"<string>\",\n \"address_2\": \"<string>\",\n \"state\": \"<string>\",\n \"fax\": \"<string>\",\n \"organization\": \"<string>\",\n \"label\": \"<string>\",\n \"disclosed_fields\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.atom.com/api/registrar/v1/contacts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"city\": \"<string>\",\n \"zip\": \"<string>\",\n \"country\": \"US\",\n \"name\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"address\": \"<unknown>\",\n \"address_1\": \"<string>\",\n \"address_2\": \"<string>\",\n \"state\": \"<string>\",\n \"fax\": \"<string>\",\n \"organization\": \"<string>\",\n \"label\": \"<string>\",\n \"disclosed_fields\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.atom.com/api/registrar/v1/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"city\": \"<string>\",\n \"zip\": \"<string>\",\n \"country\": \"US\",\n \"name\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"address\": \"<unknown>\",\n \"address_1\": \"<string>\",\n \"address_2\": \"<string>\",\n \"state\": \"<string>\",\n \"fax\": \"<string>\",\n \"organization\": \"<string>\",\n \"label\": \"<string>\",\n \"disclosed_fields\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}Authorizations
Registrar API token from https://www.atom.com/dashboard/seller/api-access
Body
application/json
Example:
"US"
String or array of address lines
Response
Successful operation
The response is of type object.